Page 1 of 1

Version `GLIBC_2.11' not found on redhat ,openoffice 3.4.1

PostPosted: Thu Dec 27, 2012 4:33 pm
by yinbp
I have the same problem with openoffcie 3.4.1 64bit in redhat linux on which the glibc is 2.5.My error message as Follow:
CE> /opt/openoffice.org3/program/../basis-link/ure-link/bin/javaldx: /lib64/libc.so.6: version `GLIBC_2.7' not found (required by /opt/openoffice.org/ure/bin/../lib/libuno_sal.so.3)
CE> /opt/openoffice.org3/program/../basis-link/ure-link/bin/javaldx: /lib64/libc.so.6: version `GLIBC_2.7' not found (required by /opt/openoffice.org/ure/bin/../lib/libxml2.so.2)
CE> /opt/openoffice.org3/program/soffice.bin: /lib64/libc.so.6: version `GLIBC_2.7' not found (required by /opt/openoffice.org3/program/../basis-link/ure-link/lib/libuno_sal.so.3)
CE> /opt/openoffice.org3/program/soffice.bin: /lib64/libc.so.6: version `GLIBC_2.11' not found (required by /opt/openoffice.org3/program/../basis-link/program/libsvt.so)
CE> /opt/openoffice.org3/program/soffice.bin: /lib64/libc.so.6: version `GLIBC_2.7' not found (required by /opt/openoffice.org3/program/../basis-link/program/libsvt.so)
CE> /opt/openoffice.org3/program/soffice.bin: /lib64/libc.so.6: version `GLIBC_2.11' not found (required by /opt/openoffice.org3/program/../basis-link/program/libvcl.so)
CE> /opt/openoffice.org3/program/soffice.bin: /lib64/libc.so.6: version `GLIBC_2.7' not found (required by /opt/openoffice.org3/program/../basis-link/program/../ure-link/lib/libxml2.so.2)

When I run follow java code cause these problems:
XComponentContext context = Bootstrap.bootstrap();

How to resolve these problem or which version of openoffice can be installed on that 64bit redhat linux server with glibc_2.5

Re: Version `GLIBC_2.11' not found on redhat ,openoffice 3.4

PostPosted: Thu Dec 27, 2012 5:16 pm
by acknak
I can't give you any specific pointers, but I believe that RedHat provides compatibility packages for almost any version of gcc.

Re: Version `GLIBC_2.11' not found on redhat ,openoffice 3.4

PostPosted: Fri Dec 28, 2012 8:31 am
by yinbp
This is the server's os infomation :
Code: Select all   Expand viewCollapse view
LSB Version:   :core-3.1-amd64:core-3.1-ia32:core-3.1-noarch:graphics-3.1-amd64:graphics-3.1-ia32:graphics-3.1-noarch
Distributor ID:   RedHatEnterpriseServer
Description:   Red Hat Enterprise Linux Server release 5.2 (Tikanga)
Release:   5.2
Codename:   Tikanga


glibc's version is 2.5,when I upgrage glibc version occur follow error:
Code: Select all   Expand viewCollapse view
....
running configure fragment for nptl/sysdeps/x86_64
checking for .cfi_personality and .cfi_lsda pseudo-ops... no
configure: error: assembler too old, .cfi_personality support missing

Re: Version `GLIBC_2.11' not found on redhat ,openoffice 3.4

PostPosted: Wed Jan 09, 2013 12:54 am
by RGB
I hope it is not too late, but you can find a community version of AOO compiled with glibc 2.5 on this page: Apache OpenOffice - Ports and distributions